# Reference

## boost::redis::logger::logger

Constructor from a level and a function.

### Synopsis

Declared in `<boost/redis/logger.hpp>`

    logger(
        level l,
        std::function<void(level, std::string_view)> fn);

### Description

Constructs a logger by setting its members to the specified values.

### Exceptions

No‐throw guarantee.

### Parameters

Name | Description
l | The value to set `lvl` to.
fn | The value to set `fn` to.

Created with MrDocs